#!/bin/bash

echo "-- $0 --"

mkdir --parents /etc/portage/repos.conf

# ensure IPv4 protocol
echo 'PORTAGE_RSYNC_EXTRA_OPTS="-4"' >>/etc/portage/make.conf

cp /usr/share/portage/config/repos.conf /etc/portage/repos.conf/gentoo.conf

#emerge --sync
emaint sync --allrepos
